package com.caimei.mapper.cmMapper;

import com.caimei.model.vo.*;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * Description
 *
 * @author : Aslee
 * @date : 2022/7/6
 */
@Mapper
public interface AuthTemplateMapper {
    /**
     * 模板列表
     * @param listType
     * @param authUserId
     * @return
     */
    List<TemplateListVo> getTemplateList(@Param("listType") Integer listType, @Param("authUserId") Integer authUserId);

    void insertTemplate(@Param("templateImage") String templateImage, @Param("authUserId") Integer authUserId);

    void updateSelective(@Param("templateId") Integer templateId, @Param("templateImage") String templateImage, @Param("authUserId") Integer authUserId, @Param("status") Integer status, @Param("qrPosition") String qrPosition);
}
