package com.caimei.service.auth;

import com.caimei.model.ResponseJson;
import com.caimei.model.vo.*;
import com.github.pagehelper.PageInfo;

/**
 * Description
 *
 * @author : Aslee
 * @date : 2022/7/6
 */
public interface AuthTemplateService {

    /**
     * 授权牌模板列表
     * @param listType
     * @param authUserId
     * @param pageNum
     * @param pageSize
     * @return
     */
    ResponseJson<PageInfo<TemplateListVo>> getTemplateList(Integer listType, Integer authUserId, Integer pageNum, Integer pageSize);

    /**
     * 保存授权牌模板
     *
     * @param templateId
     * @param templateImage
     * @param authUserId
     * @param status
     * @param qrPosition
     * @return
     */
    ResponseJson saveTemplate(Integer templateId, String templateImage, Integer authUserId, Integer status, String qrPosition);
}


